List the source maps recorded against one release, by file name.
GET
/rum/{app_id}/releases/{version}/sourcemaps
const url = 'https://api.siteqwality.com/rum/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/releases/example/sourcemaps';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.siteqwality.com/rum/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/releases/example/sourcemaps \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” app_id
required
string format: uuid
RUM application identifier
version
required
string
Release version
Responses
Section titled “ Responses ”Source maps for the release
Media type application/json
Array<object>
One source map recorded against a release.
object
id
required
string format: uuid
original_file
required
The name the map was uploaded under, which symbolication matches against the file name in each stack frame.
string
created_at
required
string format: date-time
Example generated
[ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "original_file": "example", "created_at": "2026-04-15T12:00:00Z" }]Missing or invalid authentication
Application or release not found
Internal server error